Package io.vertx.rxjava3.servicediscovery.spi

## Class ServicePublisher

- java.lang.Object
- - io.vertx.rxjava3.servicediscovery.spi.ServicePublisher

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ServicePublisher
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  The publisher is used by the importer to publish or unpublish records.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ServicePublisher>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServicePublisher​(ServicePublisher delegate)` |
    `ServicePublisher​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `ServicePublisher` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ServicePublisher` | `newInstance​(ServicePublisher arg)` |
    `Single<Record>` | `publish​(Record record)` | Publishes a record.
    `Single<Record>` | `rxPublish​(Record record)` | Publishes a record.
    `Completable` | `rxUnpublish​(String id)` | Un-publishes a record.
    `Single<Record>` | `rxUpdate​(Record record)` | Updates an existing record.
    `String` | `toString()` |
    `Completable` | `unpublish​(String id)` | Un-publishes a record.
    `Single<Record>` | `update​(Record record)` | Updates an existing record.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServicePublisher> __TYPE_ARG

  - ### Constructor Detail

    - #### ServicePublisher

          public ServicePublisher​(ServicePublisher delegate)

    - #### ServicePublisher

          public ServicePublisher​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServicePublisher getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### publish

          public Single<Record> publish​(Record record)

      Publishes a record.
      Parameters:
        `record` - the record
      Returns:
        a future notified when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### rxPublish

          public Single<Record> rxPublish​(Record record)

      Publishes a record.
      Parameters:
        `record` - the record
      Returns:
        a future notified when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### unpublish

          public Completable unpublish​(String id)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
      Returns:
        a future notified when the operation has completed (successfully or not).

    - #### rxUnpublish

          public Completable rxUnpublish​(String id)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
      Returns:
        a future notified when the operation has completed (successfully or not).

    - #### update

          public Single<Record> update​(Record record)

      Updates an existing record.
      Parameters:
        `record` - the record
      Returns:
        a future notified when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### rxUpdate

          public Single<Record> rxUpdate​(Record record)

      Updates an existing record.
      Parameters:
        `record` - the record
      Returns:
        a future notified when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### newInstance

          public static ServicePublisher newInstance​(ServicePublisher arg)